export const reducer = (state, action) => {
  switch (action.type) {

    case "toggleOfflineMode":
      return {
        ...state,
        offlineMode: !state.offlineMode // on/off
      }

    case "addGame":
      console.log("oldState", state)
      console.log("adding", action.value)
      const newGames = [...state.games, action.value]
      console.log("newGames", newGames)
      const newState =  {
        ...state,
        games: newGames
      }
      //newState.games.push(action.value)
      console.log("newState", newState)
      return newState


    default:
      console.warn("Unknown action.type", action)
      return state
  }
}

export const initialState = {
  games: [],
  gamesFetching: false,

  leaderboard: [],
  leaderboardFetching: false,

  isCurrentUser: () => null,

  offlineMode: false
}
